Defines a message level that may be used to control logging output.

final

### Hierarchy

- Level

## Index

### Constructors

- constructor

### Properties

- name
- name_
- value
- value_
- ALL
- DEBUG
- FINE
- FINER
- FINEST
- INFO
- OFF
- SEVERE
- WARNING

### Methods

- toString

## Constructors

### constructor

- new Level(name: string, level: number): <internal>.Level

- #### Parameters

  - ##### name: string

    the level's name.

  - ##### level: number

    the level's numeric value.

  #### Returns <internal>.Level

## Properties

### name

name: string

This logger's name.

### name_

name_: string

### value

value: number

The numeric log level.

### value_

value_: number

### Static ALL

ALL: <internal>.Level

Indicates all log messages should be recorded.

const

### Static DEBUG

DEBUG: <internal>.Level

Log messages with a level of `700` or higher.

const

### Static FINE

FINE: <internal>.Level

Log messages with a level of `500` or higher.

const

### Static FINER

FINER: <internal>.Level

Log messages with a level of `400` or higher.

const

### Static FINEST

FINEST: <internal>.Level

Log messages with a level of `300` or higher.

const

### Static INFO

INFO: <internal>.Level

Log messages with a level of `800` or higher.

const

### Static OFF

OFF: <internal>.Level

Indicates no log messages should be recorded.

const

### Static SEVERE

SEVERE: <internal>.Level

Log messages with a level of `1000` or higher.

const

### Static WARNING

WARNING: <internal>.Level

Log messages with a level of `900` or higher.

const

## Methods

### toString

- toString(): string

- override

  #### Returns string

Generated using TypeDoc